## dnscvsutil 0.5

=== Makefile ===
#
#    dnscvsutil - manage DNS zone files under CVS
#    Copyright (C) 1999 Tommi Virtanen <tv@havoc.fi>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

PREFIX=/usr
MANDIR=$(DESTDIR)$(PREFIX)/share/man/man1
BINDIR=$(DESTDIR)$(PREFIX)/bin
CONFDIR=$(DESTDIR)/etc

MAN=dns-update.1 mkrdns.1
BIN=dns-update mkrdns
CONF=dns-update.conf

all: doc

doc: $(MAN) 

%.1: %
	pod2man $< >$@.tmp
	mv $@.tmp $@

install: all
	test -d $(MANDIR) || install -d -m0755 $(MANDIR)
	test -d $(BINDIR) || install -d -m0755 $(BINDIR)
	install -m0644 $(MAN) $(MANDIR)
	install -m0755 $(BIN) $(SCRIPT) $(BINDIR)
	test -d $(CONFDIR) || install -d -m0755 $(CONFDIR)
	install -m0644 $(CONF) $(CONFDIR)

clean:
	-rm -f *.1

=== debian/changelog ===
dnscvsutil (0.5) unstable; urgency=low

  * Corrected the last references to /var/state in postrm.
  * Corrected bad /var/lib/dnscvsutil/cvs/domains/CVS reference
    in postinst.

 -- Tommi Virtanen <tv@debian.org>  Mon, 20 Dec 1999 16:29:34 +0200

dnscvsutil (0.4) unstable; urgency=low

  * Fixed a cut-and-paste error that made dnscvsutil create a
    /usr/doc/cdb symlink.

 -- Tommi Virtanen <tv@debian.org>  Sun, 19 Dec 1999 13:13:36 +0200

dnscvsutil (0.3) unstable; urgency=low

  * FHS. The transition is ugly. Bare with me.
  * Oops. There was local config stuff in dns-update.
    Made more things configurable. Apparently no one
    is using this stuff.. :(
  * !template no longer includes NS entries. Make sure
    you add them to your zone files.
  * Added the possibility to give options to !template.
  * New config option: SOA_DEFAULTS gives defaults for
    !template.
  * Change dependency on libmd5-perl to libdigest-md5-perl.
  * Cleaned debian/rules.
  * Added build-depends-indep, eventhough it is empty.
  * Remove newlines escaped with backslash.
  * Changes in the config file and template header.

 -- Tommi Virtanen <tv@debian.org>  Sat,  4 Dec 1999 23:20:46 +0200

dnscvsutil (0.2) unstable; urgency=low

  * Oops. Made it architecture: all.

 -- Tommi Virtanen <tv@debian.org>  Wed, 14 Jul 1999 12:08:08 +0300

dnscvsutil (0.1) unstable; urgency=low

  * Initial Release.

 -- Tommi Virtanen <tv@debian.org>  Wed, 23 Jun 1999 11:35:02 +1000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: dnscvsutil
Section: net
Priority: optional
Maintainer: Tommi Virtanen <tv@debian.org>
Standards-Version: 3.1.1
Build-Depends-Indep: 

Package: dnscvsutil
Architecture: all
Depends: perl5, bind (>= 1:8.2.1-5), cvs, libdigest-md5-perl
Description: Maintain DNS zone files under CVS control
 Maintain your DNS zone files under CVS control, and
 possibly automatically updating reverse zones.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE	= dnscvsutil

build: build-stamp
build-stamp:
	test -e debian/control
	$(MAKE)
	touch build-stamp

clean:
	test -e debian/control
	test root = "`whoami`" || (echo need root priviledges; exit 1)
	rm -f build-stamp install-stamp
	make clean
	rm -rf debian/substvars debian/files debian/tmp

install: install-stamp
install-stamp: build-stamp
	test -e debian/control
	test root = "`whoami`" || (echo need root priviledges; exit 1)
	rm -f debian/substvars
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	touch install-stamp

binary-arch: build install

binary-indep: build install
	test -e debian/control
	test root = "`whoami`" || (echo need root priviledges; exit 1)
	rm -rf debian/substvars debian/tmp
	make install DESTDIR="`pwd`/debian/tmp"
	install -d --mode=0755 \
		"debian/tmp/var/lib/dnscvsutil" \
		"debian/tmp/var/lib/dnscvsutil/cvs" \
		"debian/tmp/var/lib/dnscvsutil/domains" \
		"debian/tmp/var/lib/dnscvsutil/compiled"
	install -d --mode=0755 "debian/tmp/usr/share/doc/$(PACKAGE)"
	install --mode=0644 debian/copyright \
		README \
		"debian/tmp/usr/share/doc/$(PACKAGE)"
	gzip -9 "debian/tmp/usr/share/doc/$(PACKAGE)/README"
	gzip -9 debian/tmp/usr/share/man/man1/*
	install --mode=0644 debian/changelog \
		"debian/tmp/usr/share/doc/$(PACKAGE)/changelog"
	gzip -9 debian/tmp/usr/share/doc/"$(PACKAGE)"/changelog
	install -d --mode=0755 debian/tmp/DEBIAN
	install --mode=0755 debian/postinst debian/preinst \
		debian/postrm debian/prerm \
		debian/tmp/DEBIAN
	echo /etc/dns-update.conf >debian/tmp/DEBIAN/conffiles
	dpkg-gencontrol
	dpkg --build debian/tmp ..

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## dnscvsutil 0.10

=== debian/changelog ===
dnscvsutil (0.10) unstable; urgency=low

  * mkrdns: Upgrade to v2.1
  * mkrdns: Default to MD5, we depend on it anyway.
  * mkrdns: Make sure /etc/bind is searched first.
  * dns-update, mkrdns: Make sure we use Digest::MD5 instead of MD5.
    Closes: #110290.
  * debian/control: Depend on bind | bind9. Closes: #98934.
  * README: Mention www.mkrdns.org
  * debian/changelog: Cleanup local vars.
  * mkrdns: Fix perl path.
  * debian/copyright: Use explicit plural to avoid Lintian bitching.
  * debian/control: Upgraded standards-version to 3.5.6
  * debian/rules: Make sure conffiles gets mode 0644.

 -- Tommi Virtanen <tv@debian.org>  Tue, 28 Aug 2001 16:25:33 +0300

dnscvsutil (0.9) unstable; urgency=low

  * Write generated domain files with temporary names and rename
    to final names.
  * When joining backslash-terminated lines with the previous
    ones, really remove the backslash.

 -- Tommi Virtanen <tv@debian.org>  Mon, 11 Sep 2000 20:59:41 +0300

dnscvsutil (0.8) unstable; urgency=low

  * Make mkrdns default to looking in /etc/bind. Closes: #68759.
  * Provide section and priority

 -- Tommi Virtanen <tv@debian.org>  Tue, 22 Aug 2000 22:08:44 +0300

dnscvsutil (0.7) unstable; urgency=medium

  * Make SOA records have a good default origin, overridable with
    !template origin=ns.example.com. You probably need to add an
    override for every zone to conform with 
    http://www.dns.net/dnsrd/docs/bog/bog-sh-5.html#sh-5.5.3
    Closes: #66303.
  * Upgraded mkrdns to v1.6.

 -- Tommi Virtanen <tv@debian.org>  Wed, 12 Jul 2000 22:20:18 +0300

dnscvsutil (0.6) unstable; urgency=low

  * Upgraded mkrdns to version 1.5

 -- Tommi Virtanen <tv@debian.org>  Fri,  7 Jan 2000 18:03:00 +0200

=== debian/control ===
Source: dnscvsutil
Section: net
Priority: optional
Maintainer: Tommi Virtanen <tv@debian.org>
Standards-Version: 3.5.6
Build-Depends-Indep: 

Package: dnscvsutil
Architecture: all
Depends: perl5, bind (>= 1:8.2.1-5) | bind9, cvs, libdigest-md5-perl
Description: Maintain DNS zone files under CVS control
 Maintain your DNS zone files under CVS control, and
 possibly automatically updating reverse zones.

=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,8 @@
 		debian/postrm debian/prerm \
 		debian/tmp/DEBIAN
 	echo /etc/dns-update.conf >debian/tmp/DEBIAN/conffiles
-	dpkg-gencontrol
+	chmod 0644 debian/tmp/DEBIAN/conffiles
+	dpkg-gencontrol -isp
 	dpkg --build debian/tmp ..
 
 source diff:

## dnscvsutil 0.10.2

=== debian/changelog ===
dnscvsutil (0.10.2) unstable; urgency=high

  * Non-maintainer upload.
  
  * Set urgency to high since we're fixing an RC bug

  * Added missing dep on adduser (Closes: #408235)

 -- Bastian Venthur <venthur@debian.org>  Wed, 31 Jan 2007 17:02:21 +0100

dnscvsutil (0.10.1) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc link in postinst (Closes: #359394).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Fri, 14 Jul 2006 12:22:25 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: dnscvsutil
 Architecture: all
-Depends: perl5, bind (>= 1:8.2.1-5) | bind9, cvs, libdigest-md5-perl
+Depends: perl5, bind (>= 1:8.2.1-5) | bind9, cvs, libdigest-md5-perl, adduser
 Description: Maintain DNS zone files under CVS control
  Maintain your DNS zone files under CVS control, and
  possibly automatically updating reverse zones.
